Subject: Re: [Bitcoin-development] 32 vs 64-bit timestamp fields

From: Pieter Wuille <[email-masked]>
Date: Thu, 9 May 2013 03:13:39 +0200

On Wed, May 08, 2013 at 09:08:34PM -0400, Jeff Garzik wrote:
> On Wed, May 8, 2013 at 9:00 PM, John Dillon
> <[email-masked]> wrote:
> > Perhaps Satoshi did this delibrately, knowing that at some point a hard-fork
> > would be a good idea, so that we all would have a good excuse to do one?
> 
> Guffaw :)  The year 2038 is so far in the future that it is not really
> relevant, from that angle.

"Meh". I think it's highly unlikely we'll break the block header format, as it
pretty much means invalidating all mining hardware.

There's also no need: 32 bits is plenty of precision. Hell, even 16 bits would
do (assuming there's never more than a 65535s (about 18 hours) gap between two
blocks). Just assume the "full" 64-bit time is the smallest one that makes
sense, given its lower 32 bits.

-- 
Pieter